import { createStore } from '../../utils';
import { Modal } from './modal';

type ModeStore = {
  modals: Modal[];
  getModal: (id: string) => Modal | undefined;
};

export const modalStore = createStore<ModeStore>((set, get) => {
  return {
    modals: [],
    getModal: (id: string) => {
      return get().modals.find((model) => model.id === id) as Modal;
    },
  };
});
